Name: d-feet 
Version: 0.3.11
Release: 1%{?dist}
Summary: A powerful D-Bus Debugger
Group: Development/Tools
License: GPLv2+
URL: https://live.gnome.org/DFeet/
Source0: http://download.gnome.org/sources/d-feet/0.3/d-feet-%{version}.tar.xz
Patch0: d-feet-desktop-keywords.patch

BuildArch: noarch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gtk3-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: python-pep8
BuildRequires: libappstream-glib
Requires: libwnck3
Requires: pygobject3

%description
D-Feet is an easy to use D-Bus debugger.

D-Bus is an RPC library used on the Desktop.  D-Feet can be used to inspect
D-Bus objects of running programs and invoke methods on those objects.

%prep
%setup -q
%patch0 -p1 -b .keywords

%build
%configure
make %{?_smp_mflags}

%install
%make_install

# Update the screenshot shown in the software center
#
# NOTE: It would be *awesome* if this file was pushed upstream.
#
# See http://people.freedesktop.org/~hughsient/appdata/#screenshots for more details.
#
appstream-util replace-screenshots $RPM_BUILD_ROOT%{_datadir}/appdata/d-feet.appdata.xml \
  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/d-feet/a.png \
  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/d-feet/b.png 

%find_lang d-feet --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/d-feet.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f d-feet.lang
%license COPYING
%doc AUTHORS README NEWS
%{python_sitelib}/dfeet/
%{_bindir}/d-feet
%{_datadir}/appdata/d-feet.appdata.xml
%{_datadir}/applications/d-feet.desktop
%{_datadir}/d-feet/
%{_datadir}/glib-2.0/schemas/org.gnome.d-feet.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/d-feet.svg
%{_datadir}/icons/HighContrast/scalable/apps/d-feet.svg

%changelog
* Tue May 03 2016 Kalev Lember <klember@redhat.com> - 0.3.11-1
- Update to 0.3.11
- Use make_install macro
- Use license macro for COPYING

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 30 2015 Richard Hughes <rhughes@redhat.com> - 0.3.9-2
- Use better AppData screenshots

* Sun Jun 08 2014 Kalev Lember <kalevlember@gmail.com> - 0.3.9-1
- Update to 0.3.9
- Include the appdata file

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 26 2013 Kalev Lember <kalevlember@gmail.com> - 0.3.7-1
- Update to 0.3.7

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 09 2013 Kalev Lember <kalevlember@gmail.com> - 0.3.5-1
- Update to 0.3.5

* Sat May 25 2013 Kalev Lember <kalevlember@gmail.com> - 0.3.4-1
- Update to 0.3.4
- Switch to the autotools build
- Add glib-compile-schemas scriptlets

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 15 2013 Matthias Clasen <mclasen@redhat.com> - 0.3.3-1
- Update to 0.3.3

* Fri Nov 09 2012 Kalev Lember <kalevlember@gmail.com> - 0.3.1-1
- Update to 0.3.1
- Adjust deps for the switch to gobject-introspection
- Modernize the spec file

* Wed Oct 17 2012 Kalev Lember <kalevlember@gmail.com> - 0.1.15-1
- Update to 0.1.15
- Update the URLs; it's now a GNOME hosted project

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 14 2011 John (J5) Palmieri <johnp@redhat.com> - 0.1.14-1
- update to upstream 0.1.14
- new hires icons
- fix config parsing
- remove dependency on glade
- bump requires to python 2.5

* Mon Aug 23 2010 John (J5) Palmieri <johnp@redhat.com> - 0.1.12-1
- update to upstream 0.1.12
- Add the ability to specify a bus on the command line using the --bus-address 
  or -a switch (jdahlin)
- fix up some UI bugs (jdahlin)
- move project to gnome.org

* Wed Aug 9 2010 John (J5) Palmieri <johnp@redhat.com> - 0.1.11-1
- update to upstream 0.1.11
- fix up .desktop file

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 08 2009 John (J5) Palmieri <johnp@redhat.com> - 0.1.10-1
- update to upstream 0.1.10
- output now pretty printed
- all simple types supported
- ui cleanups

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.8-2
- Rebuild for Python 2.6

* Mon Jan 07 2008 John (J5) Palmieri <johnp@redhat.com> - 0.1.8-1
- update to upstream 0.1.8
- complex types are now supported in the output
- fixed a typo s/Unkown/Unknown

* Mon Jan 07 2008 John (J5) Palmieri <johnp@redhat.com> - 0.1.7-1
- update to upstream 0.1.7
- update the license for _introspect_parser.py to permissive
  since dbus-python was relicense (this just makes including this code
  easier since the GPL/AFL dual license confused some people)
- add placeholder icons to denote methods, properties and signals
  does someone want to make a standard set of programmer tool icons?
- default service icon now added to the package for distributions
  that do not ship an icon called icon-service
- argument types now show the parameter name if given in the introspect data
- selecting a property now attempts to read the propety and display a value
- prettier formatting for introspect output
- various bug fixes

* Wed Dec 12 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.6-1
- update to upstream 0.1.6 which fixes issues with .ui files not being installed

* Wed Dec 12 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.5-1
- update to upstream 0.1.5
- attach to any bus
- execute button makes executing methods more descoverable
- icons show up if app associated with a name has a toplevel window
- initial support for icons on introspect nodes 
- syntax highlighting for methods and signals
- support for property lists in the introspect data
- tabs are restored when started again

* Fri Dec 07 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.4-1
- update to upstream 0.1.4 which cleans up some bugs
- remove scrollkeeper BR
- make use description does not exceed 80 characters per line

* Wed Dec 05 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.3-1
- update to upstream 0.1.3 which cleans up the .desktop file and
  only install the icon in the hicolor theme

* Wed Dec 05 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.2-3
- pick up %%{python_sitelib}/* instead of %%{python_sitelib}/dfeet/
  in files section so we pick up the python egg stuff

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.2-2
- clean up spec file

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.2-1
- update to 0.1.2 which fixes the .desktop file so it validates

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1.1-1
- update to 0.1.1 which fixes the .desktop file category 

* Tue Dec 04 2007 John (J5) Palmieri <johnp@redhat.com> - 0.1-1
- Initial build.
